DefaultExcludes (Apache Ant API)
Description: declaration: package: org.apache.tools.ant.taskdefs, class: DefaultExcludes

Package org.apache.tools.ant.taskdefs

# Class DefaultExcludes

java.lang.Object
org.apache.tools.ant.ProjectComponent
org.apache.tools.ant.Task
org.apache.tools.ant.taskdefs.DefaultExcludes

All Implemented Interfaces:
  `Cloneable`

public class DefaultExcludes extends Task
Alters the default excludes for the entire build..

Since:
  Ant 1.6

- ## Field Summary

  ### Fields inherited from class org.apache.tools.ant.Task

  `target, taskName, taskType, wrapper`

  ### Fields inherited from class org.apache.tools.ant.ProjectComponent

  `description, location, project`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `DefaultExcludes()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `execute()`
  Does the work.
  `void`
  `setAdd(String add)`
  Pattern to add to the default excludes
  `void`
  `setDefault(boolean def)`
  go back to standard default patterns
  `void`
  `setEcho(boolean echo)`
  If true, echo the default excludes.
  `void`
  `setRemove(String remove)`
  Pattern to remove from the default excludes.

  ### Methods inherited from class org.apache.tools.ant.Task

  `bindToOwner, getOwningTarget, getRuntimeConfigurableWrapper, getTaskName, getTaskType, getWrapper, handleErrorFlush, handleErrorOutput, handleFlush, handleInput, handleOutput, init, isInvalid, log, log, log, log, maybeConfigure, perform, reconfigure, setOwningTarget, setRuntimeConfigurableWrapper, setTaskName, setTaskType`

  ### Methods inherited from class org.apache.tools.ant.ProjectComponent

  `clone, getDescription, getLocation, getProject, setDescription, setLocation, setProject`

  ### Methods inherited from class java.lang.Object

  `equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### DefaultExcludes

    public DefaultExcludes()

- ## Method Details

  - ### execute

    public void execute() throws BuildException
    Does the work.
    Overrides:
      `execute` in class `Task`
    Throws:
      `BuildException` - if something goes wrong with the build

  - ### setDefault

    public void setDefault(boolean def)
    go back to standard default patterns
    Parameters:
      `def` - if true go back to default patterns

  - ### setAdd

    public void setAdd(String add)
    Pattern to add to the default excludes
    Parameters:
      `add` - Sets the value for the pattern to exclude.

  - ### setRemove

    public void setRemove(String remove)
    Pattern to remove from the default excludes.
    Parameters:
      `remove` - Sets the value for the pattern that should no longer be excluded.

  - ### setEcho

    public void setEcho(boolean echo)
    If true, echo the default excludes.
    Parameters:
      `echo` - whether or not to echo the contents of the default excludes.